[
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "POST /session/:sessionId/element/:id/value"
      }
    ],
    "description": {
      "full": "element.type(keys, cb) -> cb(err)\n",
      "summary": "element.type(keys, cb) -> cb(err)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.type = function (keys, cb) {\n    return this.browser.type(this, keys, cb);\n};\n\nelement.prototype.sendKeys = element.prototype.type;",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "type",
      "string": "element.prototype.type()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "POST /session/:sessionId/element/:id/click"
      }
    ],
    "description": {
      "full": "element.click(cb) -> cb(err)\n",
      "summary": "element.click(cb) -> cb(err)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.click = function (cb) {\n    return this.browser.clickElement(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "click",
      "string": "element.prototype.click()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "POST /session/:sessionId/touch/flick"
      }
    ],
    "description": {
      "full": "element.flick(xoffset, yoffset, speed, cb) -> cb(err)\n",
      "summary": "element.flick(xoffset, yoffset, speed, cb) -> cb(err)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.flick = function (xoffset, yoffset, speed, cb) {\n    this.browser.flick(this.value, xoffset, yoffset, speed, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "flick",
      "string": "element.prototype.flick()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/text"
      },
      {
        "type": "docOrder",
        "string": "2"
      }
    ],
    "description": {
      "full": "element.text(cb) -> cb(err, text)\n",
      "summary": "element.text(cb) -> cb(err, text)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.text = function (cb) {\n    return this.browser.text(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "text",
      "string": "element.prototype.text()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/text"
      },
      {
        "type": "docOrder",
        "string": "4"
      }
    ],
    "description": {
      "full": "element.textPresent(searchText, cb) -> cb(err, boolean)\n",
      "summary": "element.textPresent(searchText, cb) -> cb(err, boolean)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.textPresent = function(searchText, cb) {\n    return this.browser.textPresent(searchText, this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "textPresent",
      "string": "element.prototype.textPresent()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/attribute/:name"
      },
      {
        "type": "docOrder",
        "string": "2"
      }
    ],
    "description": {
      "full": "element.getAttribute(attrName, cb) -> cb(err, value)\n",
      "summary": "element.getAttribute(attrName, cb) -> cb(err, value)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getAttribute = function(name, cb) {\n    return this.browser.getAttribute(this, name, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getAttribute",
      "string": "element.prototype.getAttribute()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/name"
      }
    ],
    "description": {
      "full": "element.getTagName(cb) -> cb(err, name)\n",
      "summary": "element.getTagName(cb) -> cb(err, name)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getTagName = function(cb) {\n    return this.browser.getTagName(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getTagName",
      "string": "element.prototype.getTagName()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/displayed"
      }
    ],
    "description": {
      "full": "element.isDisplayed(cb) -> cb(err, displayed)\n",
      "summary": "element.isDisplayed(cb) -> cb(err, displayed)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.isDisplayed = function(cb) {\n    return this.browser.isDisplayed(this, cb);\n};\n\nelement.prototype.displayed = element.prototype.isDisplayed;",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "isDisplayed",
      "string": "element.prototype.isDisplayed()"
    }
  },
  {
    "tags": [],
    "description": {
      "full": "isVisible(cb) -> cb(err, boolean)",
      "summary": "isVisible(cb) -> cb(err, boolean)",
      "body": ""
    },
    "ignore": false,
    "code": "element.prototype.isVisible = function(cb) {\n    return this.browser.isVisible(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "isVisible",
      "string": "element.prototype.isVisible()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/location"
      }
    ],
    "description": {
      "full": "element.getLocation(cb) -> cb(err, location)\n",
      "summary": "element.getLocation(cb) -> cb(err, location)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getLocation = function (cb) {\n    this.browser.getLocation(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getLocation",
      "string": "element.prototype.getLocation()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/size"
      }
    ],
    "description": {
      "full": "element.getSize(cb) -> cb(err, size)\n",
      "summary": "element.getSize(cb) -> cb(err, size)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getSize = function (cb) {\n    this.browser.getSize(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getSize",
      "string": "element.prototype.getSize()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/attribute/:name"
      },
      {
        "type": "docOrder",
        "string": "4"
      }
    ],
    "description": {
      "full": "element.getValue(cb) -> cb(err, value)\n",
      "summary": "element.getValue(cb) -> cb(err, value)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getValue = function(cb) {\n    return this.browser.getValue(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getValue",
      "string": "element.prototype.getValue()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/css/:propertyName"
      }
    ],
    "description": {
      "full": "element.getComputedCss(cssProperty , cb) -> cb(err, value)\n",
      "summary": "element.getComputedCss(cssProperty , cb) -> cb(err, value)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getComputedCss = function(styleName, cb) {\n    return this.browser.getComputedCss(this, styleName, cb);\n};\n\nelement.prototype.getComputedCSS = element.prototype.getComputedCss;",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getComputedCss",
      "string": "element.prototype.getComputedCss()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "POST /session/:sessionId/element/:id/clear"
      }
    ],
    "description": {
      "full": "element.clear(cb) -> cb(err)\n",
      "summary": "element.clear(cb) -> cb(err)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.clear = function(cb) {\n    return this.browser.clear(this, cb);\n};",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "clear",
      "string": "element.prototype.clear()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "GET /session/:sessionId/element/:id/css/:propertyName"
      }
    ],
    "description": {
      "full": "element.getComputedCss(cssProperty , cb) -> cb(err, value)\n",
      "summary": "element.getComputedCss(cssProperty , cb) -> cb(err, value)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype.getComputedCss = function(styleName, cb) {\n    this.browser.getComputedCss(this, styleName, cb);\n};\n\n_.each(utils.elementFuncTypes, function(type) {",
    "ctx": {
      "type": "method",
      "constructor": "element",
      "cons": "element",
      "name": "getComputedCss",
      "string": "element.prototype.getComputedCss()"
    }
  },
  {
    "tags": [
      {
        "type": "jsonWire",
        "string": "POST /session/:sessionId/element/:id/element"
      }
    ],
    "description": {
      "full": "elementByClassName(value, cb) -> cb(err, element)\nelementByCssSelector(value, cb) -> cb(err, element)\nelementById(value, cb) -> cb(err, element)\nelementByName(value, cb) -> cb(err, element)\nelementByLinkText(value, cb) -> cb(err, element)\nelementByPartialLinkText(value, cb) -> cb(err, element)\nelementByTagName(value, cb) -> cb(err, element)\nelementByXPath(value, cb) -> cb(err, element)\nelementByCss(value, cb) -> cb(err, element)\n",
      "summary": "elementByClassName(value, cb) -> cb(err, element)\nelementByCssSelector(value, cb) -> cb(err, element)\nelementById(value, cb) -> cb(err, element)\nelementByName(value, cb) -> cb(err, element)\nelementByLinkText(value, cb) -> cb(err, element)\nelementByPartialLinkText(value, cb) -> cb(err, element)\nelementByTagName(value, cb) -> cb(err, element)\nelementByXPath(value, cb) -> cb(err, element)\nelementByCss(value, cb) -> cb(err, element)\n",
      "body": ""
    },
    "isPrivate": false,
    "ignore": false,
    "code": "element.prototype['element' + utils.elFuncSuffix(type)] = function(value, cb) {\n    element.prototype.element.apply(this, [utils.elFuncFullType(type), value, cb]);\n  };\n\n  element.prototype['elements' + utils.elFuncSuffix(type)] = function(value, cb) {\n    element.prototype.elements.apply(this, [utils.elFuncFullType(type), value, cb]);\n  };\n});\n\nelement.prototype.element = function(using, value, cb) {\n    var _this = this;\n    this.browser._jsonWireCall({\n      method: 'POST'\n      , relPath: '/element/' + _this.value + '/element'\n      , data: {using: using, value: value}\n      , cb: this.browser._elementCallback(cb)\n    });\n};\n\nelement.prototype.elements = function(using, value, cb) {\n    var _this = this;\n    this.browser._jsonWireCall({\n      method: 'POST'\n      , relPath: '/element/' + _this.value + '/elements'\n      , data: {using: using, value: value}\n      , cb: this.browser._elementsCallback(cb)\n    });\n};\n\nexports.element = element;"
  }
]